Get all Speech to Text batch report requests
Retrieves all Speech to Text batch report requests for the authenticated user
GET
/
legacy
/
reporting
/
batch
/
detail
/
records
/
speech
/
to
/
text
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const speechToTexts = await client.legacy.reporting.batchDetailRecords.speechToText.list();
console.log(speechToTexts.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
speech_to_texts = client.legacy.reporting.batch_detail_records.speech_to_text.list()
print(speech_to_texts.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
speechToTexts, err := client.Legacy.Reporting.BatchDetailRecords.SpeechToText.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", speechToTexts.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextListParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SpeechToTextListResponse speechToTexts = client.legacy().reporting().batchDetailRecords().speechToText().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
speech_to_texts = telnyx.legacy.reporting.batch_detail_records.speech_to_text.list
puts(speech_to_texts)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$speechToTexts = $client
->legacy
->reporting
->batchDetailRecords
->speechToText
->list();
var_dump($speechToTexts);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx legacy:reporting:batch-detail-records:speech-to-text list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/legacy/reporting/batch/detail/records/speech/to/text \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "ab76c3b6-80cd-11eb-9439-0242ac130002",
"created_at": "2020-07-01T00:00:00-06:00",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"download_link": "https://portal-cdrs-usage.s3.amazonaws.com",
"record_type": "speech_to_text_report"
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const speechToTexts = await client.legacy.reporting.batchDetailRecords.speechToText.list();
console.log(speechToTexts.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
speech_to_texts = client.legacy.reporting.batch_detail_records.speech_to_text.list()
print(speech_to_texts.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
speechToTexts, err := client.Legacy.Reporting.BatchDetailRecords.SpeechToText.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", speechToTexts.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextListParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SpeechToTextListResponse speechToTexts = client.legacy().reporting().batchDetailRecords().speechToText().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
speech_to_texts = telnyx.legacy.reporting.batch_detail_records.speech_to_text.list
puts(speech_to_texts)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$speechToTexts = $client
->legacy
->reporting
->batchDetailRecords
->speechToText
->list();
var_dump($speechToTexts);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx legacy:reporting:batch-detail-records:speech-to-text list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/legacy/reporting/batch/detail/records/speech/to/text \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "ab76c3b6-80cd-11eb-9439-0242ac130002",
"created_at": "2020-07-01T00:00:00-06:00",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"download_link": "https://portal-cdrs-usage.s3.amazonaws.com",
"record_type": "speech_to_text_report"
}
]
}